import argparse

from .utils import MailListDownloader


def main():
    parser = argparse.ArgumentParser()
    parser.add_argument('url_token', help='Url obtained following instructions.')
    parser.add_argument('--output', help='Output path', default='mails')    
    args = parser.parse_args()

    md = MailListDownloader(args.url_token)
    md.download_from_new_courses(args.output)
